Summary:	The utilities to create reiserfs volumes
Name:		reiserfsprogs
Version:	3.6.21
Epoch:		1
Release:	%mkrel 3
License:	GPLv2 with exceptions
Group:		System/Kernel and hardware
Url:		http://ftp.kernel.org/pub/linux/utils/fs/reiserfs/
Source0:	http://ftp.kernel.org/pub/linux/utils/fs/reiserfs/%{name}-%{version}.tar.bz2
Patch1:		reiserfsprogs-3.6.2-make-the-force-option-works-in-resize_reiserfs.patch
Patch3:		reiserfsprogs-3.6.21-uuid.patch
BuildRequires:	libblkid-devel
Obsoletes:	reiserfs-utils
Provides:	reiserfs-utils

%description
This package contains tools for reiserfs filesystems.
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms.

%prep
%setup -q
%patch1 -p0 -b .make-the-force-option-works-in-resize_reiserfs
%patch3 -p1 -b .uuid

%build
%configure2_5x

%make OPTFLAGS="%{optflags}"

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_mandir}/man8

%makeinstall_std

mv %{buildroot}/{usr/,}sbin
ln -s mkreiserfs %{buildroot}/sbin/mkfs.reiserfs
ln -s reiserfsck %{buildroot}/sbin/fsck.reiserfs
ln -s mkreiserfs.8 %{buildroot}%{_mandir}/man8/mkfs.reiserfs.8
ln -s reiserfsck.8 %{buildroot}%{_mandir}/man8/fsck.reiserfs.8

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) /sbin/*
%{_mandir}/*/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1:3.6.21-3.mga3
+ Revision: 380288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 30 2011 ahmad <ahmad> 1:3.6.21-2.mga2
+ Revision: 93857
- bump the rel to smoothen upgrades from mdv 2010.1

* Mon Jan 24 2011 spuhler <spuhler> 1:3.6.21-1.mga1
+ Revision: 36015
- removed buildroot definition from .spec
  Changed manbo_mkrel to mkrel
- imported package reiserfsprogs

